org.apache.ignite.ml.dataset.impl.bootstrapping

## Class BootstrappedVector

- java.lang.Object
- - org.apache.ignite.ml.structures.DatasetRow<Vector>
  - - org.apache.ignite.ml.structures.LabeledVector<Double>
    - - org.apache.ignite.ml.dataset.impl.bootstrapping.BootstrappedVector

- All Implemented Interfaces:
    Externalizable, Serializable

      public class BootstrappedVector
      extends LabeledVector<Double>

  Represents vector with repetitions counters for subsamples in bootstrapped dataset. Each counter shows the number of repetitions of the vector for the n-th sample.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.ignite.ml.structures.DatasetRow

      `vector`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BootstrappedVector(Vector features, double lb, int[] counters)` Creates an instance of BootstrappedVector.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int[]` | `counters()`
    `boolean` | `equals(Object o)`
    `int` | `hashCode()`
    `void` | `readExternal(ObjectInput in)`
    `void` | `writeExternal(ObjectOutput out)`

    - ### Methods inherited from class org.apache.ignite.ml.structures.LabeledVector

      `getLb, label, setLabel`

    - ### Methods inherited from class org.apache.ignite.ml.structures.DatasetRow

      `features, get, getRaw, getVector, set, size`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BootstrappedVector

          public BootstrappedVector(Vector features,
                                    double lb,
                                    int[] counters)

      Creates an instance of BootstrappedVector.
      Parameters:
        `features` - Features.
        `lb` - Label.
        `counters` - Repetitions counters.

  - ### Method Detail

    - #### counters

          public int[] counters()

      Returns:
        Repetitions counters vector.

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `LabeledVector<Double>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `LabeledVector<Double>`

    - #### writeExternal

          public void writeExternal(ObjectOutput out)
                             throws IOException

      Specified by:
        `writeExternal` in interface `Externalizable`
      Overrides:
        `writeExternal` in class `LabeledVector<Double>`
      Throws:
        `IOException`

    - #### readExternal

          public void readExternal(ObjectInput in)
                            throws IOException,
                                   ClassNotFoundException

      Specified by:
        `readExternal` in interface `Externalizable`
      Overrides:
        `readExternal` in class `LabeledVector<Double>`
      Throws:
        `IOException`
        `ClassNotFoundException`

2021 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021